package common

import (
	"log"

	"gitlab.com/signald/signald-go/signald"
)

const (
	OutputFormatDefault = "default"
	OutputFormatCSV     = "csv"
	OutputFormatTable   = "table"
	OutputFormatJSON    = "json"
	OutputFormatYAML    = "yaml"
	OutputFormatQR      = "qr"

	AnnotationNoSocketConnection = "no-socket"
)

var (
	Signald *signald.Signald

	OutputFormat string
)

func Must(err error) {
	if err != nil {
		log.Fatal(err)
	}
}
